Compatibilité entre versions

CMSimple_XH 1.1 était 100% compatible avec les versions initiales de CMSimple à partir de 2.9 et cela malgré beaucoup de nouveautés et d'interventions au "cœur" du CMS.

Ca veut dire que tous les composants CMSimple_XH comme l'éditeur FCKeditor, les modules (plugins), les gabarits (templates) et les contenus ont continué à fonctionner dans les premières versions de CMSimple_XH.

A partir des versions 1.4, l'encodage passant en UTF-8 (standard web), la compatibilité avec les contenus et plugins précédents n'a plus été assurée. Il reste cependant possible de facilement faire une conversion de ANSI/ISO vers UTF-8 avec un éditeur évolué comme Notepad++ par exemple.

La version 1.6 a modifié encore profondément la structure du contenu en intégrant les données de pages (paramétrage propre à chaque page) dans le contenu (auparavant stockées dans le fichier pagedata.php). Toutefois la mise à niveau reste possible avec l'aide d'un patch disponible au téléchargement ou "à la main" en modifiant les chemins relatifs des liens internes (déplacement des dossiers /images, /downloads et /media vers /userfiles. Le CMS intègre lui même les données de l'ancien pagedata dans le nouveau contenu.

La dernière version 1.7 marque, elle, une rupture totale avec l'ancien mode de découpage des pages par balisage ‹hx›.
Les titres h sont utilisés uniquement pour la mise en page HTML, le découpage du contenu général se faisant par commentaires placés - automatiquement - dans le contenu, par exemple :
‹!--XH_ml1:Page de niveau 1--›.
Enfin l'assurance d'une organisation conforme des titres dans les pages ! Inconvénient, les contenus des anciennes branches ne sont pas importables par déplacement.
Il est nécessaire de passer par une transformation avec le plugin d'import-export de contenu Exchange_XH.
Le contenu devra d'abord être exporté de l'ancien site en XML, puis copié vers le nouveau site pour y être importé en HTM.

| début |

Actualités

CMSimple_XH 1.7.0

La première version de la nouvelle branche 1.7 est sortie. Cette branche, dont le noyau est profondément modifié, marque une vraie rupture avec la branche précédente. Le passage des versions 1.6 vers 1.7 n'est pas possible directement, une migration soignée est nécessaire (avec export-réimport du contenu).
Lire attentivement la procédure complète.
>> Téléchargement.

CMSimple_XH 1.6.10 - EOL

Après trois ans et demi de développement la branche 1.6 a atteint sa fin de vie et ne sera plus suivie ni mise à jour.
Les utilisateurs sont encouragés à migrer vers la branche 1.7.

CMSimple_XH 1.6.10

Une nouvelle, et sans doute dernière, version de la branche 1.6 est sortie. Elle corrige quelques bogues et apporte une amélioration dans la sécurité et la compatibilité PHP 7.
Lire l'annonce de sortie sur le forum.

Support CMSimple

nemOweb
Des solutions web pour tous avec CMSimple_XH.
Création, refonte de sites, templates, modules, optimisation du référencement.

WIKI et Forum

Des informations et du support autour de CMSimple_XH :

WIKI »

Forum »

Le forum est très vivant et actif dans plusieurs langues.

Vous pouvez y poser toutes les questions concernant CMSimple_XH. La plupart des développeurs de CMSimple_XH sont également présents sur ce forum.